@font-face {
    font-family: "Epic Ride";
    src: url("../fonts/Epic\ Ride\ 2.ttf") format("truetype");
    font-style: normal;
    font-weight: normal;
}

@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html{
    font-size: 67.5%;
}

body{
    font-family: 'Montserrat', sans-serif;
    font-size: 1.6rem;
}

h1, 
.destination{
    font-family: "Epic Ride";
    font-style: normal;
    font-weight: normal;
    font-size: 10rem;
}
h2,
h3{
    font-family: 'Montserrat', sans-serif;
    font-weight: bold;
    font-size: normal;
    margin-bottom: 1rem;
}
h2{
    font-size: 2.5rem;
}
h3{
    font-size: 2rem;
}

img{
    max-width: 100%;
    object-fit: cover;
    object-position: center;
}
a{
    text-decoration: none;
}
.container{
    width: 80%;
    margin: 0 auto;
}

header{
    background: linear-gradient(to top right, rgba(230, 125, 101, 0.8), rgba(230, 125, 101, 0.4)), url('../images/dead-horse-point.JPG');
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    color: white;
}
header a{
    color: white;
}
header .cta{
    background-color: white;
    color: black;
    padding: 1rem 2rem;
    border: 4px solid white;
    border-radius: 5rem;
    margin-right: 2rem;
}
header .cta-reverse{
    color: white;
    padding: 1rem 2rem;
    border: 4px solid white;
    border-radius: 5rem;
}

header section:first-child{
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 2rem 0;
}
header section:first-child{
    display: flex;
    justify-content: space-between;
    align-items: center;
} 
header section:first-child article:first-child a:first-child{
    margin-right: 2rem;
}
header section:first-child article:last-child{
    width: 15%;
    display: flex;
    justify-content: space-between;
}
header section:first-child article:last-child div{
    width: 4rem;
    height: 4rem;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
    background-color: white;
    color: black;
    padding: 1rem;
}

header section:last-child{
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 2rem 0;
}
header section:last-child img{
    width: 50%;
}
header section:last-child article{
    padding-left: 4rem;
}
header section:last-child article img{
    width: 12%;
}
header section:last-child article p{
    padding: 2rem 0;
}
header section:last-child article div{
    display: flex;
    margin-top: 2.5rem;
}


main .features{
    padding-top: 6rem;
    text-align: center;
}
main .features::after{
    content: '';
    display: block;
    width: 50%;
    height: 1px;
    margin: 6rem auto;
    background-color: gray;
}
main .features span{
    font-weight: lighter;
    font-size: 1.8rem;
}
main .features section{
    display: flex;
    justify-content: space-around;
    margin: 6rem 0;
}
main .features section article{
    width: calc(100%/3 - 3rem);
}
main .features section article span{
    border: 1px solid red;
    width: 100%;
    height: 100%;
}
main .features section article div{
    width: 12.25rem;
    height: 12.25rem;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
    background-color: gainsboro;
    margin: 0 auto 2rem;
    box-shadow: inset 0 0 0 2px gainsboro;
}
main .features section article div i{
    font-size: 5rem;
    padding: 2rem;
}
main .features section article div:hover{
    background-color: rgb(230, 125, 101);
    color: white;
    box-shadow: inset 0 0 0 2px rgb(230, 125, 101);
}

main .more{
    text-align: center;
}
main .more section{
    display: flex;
    padding: 6rem 0;
}
main .more section img{
    width: 50%;
    object-fit: contain;
}
main .more section section{
    width: 50%;
    display: flex;
    flex-direction: column;
    text-align: left;
}
main .more section section article{
    display: flex;
    align-items: flex-start;
    padding-left: 4rem;
}
main .more section section article div:first-child{
    width: 12.25rem;
    height: 12.25rem;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
    background-color: gainsboro;
    margin-bottom: 2rem;
    box-shadow: inset 0 0 0 2px gainsboro;
}
main .more section section article div:first-child i{
    font-size: 5rem;
    padding: 2rem;
}
main .more section section article div:first-child:hover{
    background-color: rgb(230, 125, 101);
    color: white;
    box-shadow: inset 0 0 0 2px rgb(230, 125, 101);
}
main .more section section article div{
    padding: 1rem 2rem;
}

main .download{
    margin: 10rem 0 15rem;
    display: flex;
    position: relative;
    padding: 4rem 2rem;
    border-radius: 2rem;
    box-shadow: 5px 5px 5px 5px rgba(230, 125, 101, 0.4);
}
main .download div{
    width: 60%;
}
main .download img{
    width: 18%;
    max-height: 37rem;
    position: absolute;
    right: 4rem;
    top: -8rem;
    object-fit: contain;
}
main .download div p{
    padding-bottom: 4rem;
}

main .cta{
    background-color: rgb(230, 125, 101);
    color: white;
    padding: 1rem 2rem;
    border: 4px solid rgb(230, 125, 101);
    border-radius: 5rem;
    margin-right: 2rem;
}
main .cta-reverse{
    color: rgb(230, 125, 101);
    padding: 1rem 2rem;
    border: 4px solid rgb(230, 125, 101);
    border-radius: 5rem;
}


footer{
    background: linear-gradient(to top right, rgba(230, 125, 101, 0.8), rgba(230, 125, 101, 0.4)), url('../images/dead-horse-point.JPG');
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    color: white;
}
footer section{
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 3rem 0;
}
footer section article:first-child{
    display: flex;
    align-items: center;
}
footer section article .destination{
    font-size: 6rem;
}
footer section article img{
    width: 5%;
}
footer section article:last-child{
    display: flex;
}
/* footer section article:last-child div{
    width: 6rem;
    height: 6rem;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-left: 2rem;
    padding: 2rem;
} */
footer section article:last-child div i {
    font-size: 3rem;
    color: white;
}
footer section article:last-child .fa-instagram{
    background: radial-gradient(circle at 30% 107%, #fdf497 0%, #fdf497 5%, #fd5949 45%,#d6249f 60%,#285AEB 90%);
    box-shadow: 0px 3px 10px rgba(0,0,0,.25);
    border-radius: 50%;    
    padding: 2rem;
    width: 6rem;
    height: 6rem;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-left: 2rem;
}
footer section article:last-child .fa-youtube{
    background-color: #c4302b;
    border-radius: 50%;
    padding: 2rem;
    width: 6rem;
    height: 6rem;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-left: 2rem;
}


@media screen and (max-width:1162px)
{
    main .download div {
        width: 70%;
    }
}

@media screen and (max-width:1098px)
{
    header section:last-child article div{
        flex-direction: column;
    }
    header section:last-child article div a{
        margin-bottom: 2rem;
    }
    header .cta{
        margin-right: 0;
    }

    main .more section{
        flex-direction: column;
    }
    main .more section img{
        margin: 0 auto;
    }
    main .more section section{
        width: 100%;
    }

    main .download{
        margin: 0 0 10rem;
    }
    main .download div{
        width: 100%;
    }
    main .download img{
        display: none;
    }
    main .more section section article{
        padding-left: 0;
    }
}

@media screen and (max-width:720px)
{
    header section:first-child{
        flex-direction: column;
        text-align: center;
    }
    header section:first-child article:first-child{
        display: flex;
    }
    header section:first-child article:first-child a:first-child{
        margin-right: 0;
        margin-bottom: 2rem;
        margin-right: 4.5rem;
    }
    header section:first-child article:last-child{
        width: inherit;
    }
    header section:first-child article:first-child a{
        display: flex;
        flex-direction: column;
    }
    header section:first-child article:last-child a:nth-of-type(even){
        margin: 0 2rem;
    }
    header section:last-child{
        flex-direction: column-reverse;
        text-align: center;
        padding-bottom: 5rem;
    }
    header section:last-child img {
        width: 80%;
        margin-top: 0;
    }
    header section:last-child article{
        padding-left: 0;
    }

    main .features section{
        flex-direction: column;
    }
    main .features section article{
        width: 100%;
    }
    main .features section article:nth-of-type(even){
        margin: 4rem 0;
    }

    main .more section img{
        width: 100%;
    }
    main .more section section article{
        flex-direction: column;
        text-align: center;
        align-items: center;
    }
    main .more section section article:nth-of-type(even){
        margin: 2rem 0;
    }

    main .download div{
        display: flex;
        flex-direction: column;
    }
    main .cta{
        margin-right: 0;
        margin-bottom: 2rem;
    }
}

@media screen and (max-width:480px) {
    header section:last-child article img{
        width: 20%;
    }

    main .cta-reverse,
    main .cta{
        font-size: 1.5rem;
    }
    main .more section section article{
        flex-direction: column;
        align-items: center;
        text-align: center;
    }
    main .more section section article:nth-of-type(even){
        margin: 2rem 0;
    }
    main .more section img{
        width: 80%;
    }
    footer section{
        flex-direction: column;
    }
    footer section article img{
        display: none;
    }
    footer section article div{
        text-align: center;
        margin-bottom: 2rem;
    }
}
